SND_SOC_ADD_COMPONEN(9)

NAME
snd_soc_add_component_controls - Add an array of controls to a component.

SYNOPSIS

int snd_soc_add_component_controls(struct snd_soc_component * component, const struct snd_kcontrol_new * controls, unsigned int num_controls);

ARGUMENTS

component
    Component to add controls to

controls
    Array of controls to add

num_controls
    Number of elements in the array

RETURN

0 for success, else error.

COPYRIGHT